Bug 951283 - role env vars have duplicate FQDNs if recipe role and task role are the same
Summary: role env vars have duplicate FQDNs if recipe role and task role are the same
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: HOTFIX
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard: Misc
Keywords: Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-12 00:28 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-23 05:05:11 UTC


Attachments (Terms of Use)
job XML to reproduce (1.39 KB, text/plain)
2013-04-12 00:28 UTC, Dan Callaghan
no flags Details

Description Dan Callaghan 2013-04-12 00:28:05 UTC
Created attachment 734481 [details]
job XML to reproduce

Description of problem:
Role environment variables can contain the same FQDN more than once, if the same role name is set at the recipe level and the task level.

Version-Release number of selected component (if applicable):
0.12.0

How reproducible:
always

Steps to Reproduce:
1. Queue attached job XML
  
Actual results:
TESTOUT.log shows:
guest2.example.com guest2.example.com
guest3.example.com guest3.example.com

Expected results:
TESTOUT.log should show:
guest2.example.com
guest3.example.com

Comment 1 Dan Callaghan 2013-04-12 00:28:37 UTC
Workaround is to set the role at either the recipe level or the task level, but not both.

Comment 2 Dan Callaghan 2013-04-12 06:32:53 UTC
On Gerrit: http://gerrit.beaker-project.org/1878

Comment 5 Dan Callaghan 2013-04-23 05:05:11 UTC
Beaker 0.12.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.